Bug 325701 - Akregator date sort broken with unmarked feeds
Akregator date sort broken with unmarked feeds
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 19:01 EDT by Ben Boeckel
Modified: 2008-06-16 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:37:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 150648 None None None Never

  None (edit)
Description Ben Boeckel 2007-10-09 19:01:51 EDT
Description of problem:
When an RSS feed does not mark timestamps on its articles, Akregator put then 
at the top when sorted by date with the newest first.

Version-Release number of selected component (if applicable):
kdebase-3.5.7-13.1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Find a feed that does not mark articles with a timestamp (example: 
http://www.codinghorror.com/blog/index.xml)
2. Sort the feeds by date with newest first (when the unmarked feed and 
another marked feed are in the category)
  
Actual results:
Newest-first sorting leaves lots of old articles at the top because they lack 
a timestamp.

Expected results:
I would expect to have Akregator push them to the bottom of the list when 
sorted either way and when new articles are found without timestamps, at least 
mark them locally with timestamps that tell when the article was fetched.

Additional info:
Comment 1 Rex Dieter 2007-10-09 22:33:35 EDT
As this is likely not something fedora-specific, you'd likely see better results
and developer attention reporting this to upstream at bugs.kde.org.  When/if you
do that, please let us know, so that the issue can be tracked.
Comment 2 Bug Zapper 2008-05-14 10:41:24 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:37:24 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.